//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//
//+    FILE : stj_data_cache.h
//+ SUMMARY : SVFtoJSVF buffer cache function header
//+     REV : 1.00 (2005/01/21)
//+  AUTHOR : M.Nakai (Atmark-Techno,Inc.)
//+    MEMO : 
//+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+//

#ifndef _STJ_DATA_CACHE_H_
#define _STJ_DATA_CACHE_H_

#define DC_BUF_SIZE 1024*32

typedef struct {
  long FilePoint;
  int DataSize;
  int Ptr;
  int Count;
}DC_Position;


void DataCacheInit(int fd);

int DataCacheReadByte(char *buf);
int DataCacheReadBytePrevious(char *buf);

int DataCachePeekReadByte(char *buf);

int DataCacheSavePosition(DC_Position *pos);
int DataCacheLoadPosition(DC_Position *pos);

int DataCacheLoadPositionPrevious(DC_Position *pos);
#endif //_STJ_DATA_CACHE_H_
